// pages/ucenter/chargemoneylog/chargemoneylog.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    chargemoneylogs: [],
    userInfo: {},
    isLogin: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    let userInfo = wx.getStorageSync('userInfo');
    let isLogin = wx.getStorageSync('isLogin');
    this.setData({
      userInfo,
      isLogin
    });
    let that = this;
    // 页面显示
    if (userInfo && isLogin) {
      wx.request({
        url: getApp().globalData.postHeadAgreement +'/restapi/wechat/rechargeList',
        data: {
          userId: userInfo.userId
        },
        method: 'POST',
        success(res) {
          console.log(res);
          let chargemoneylogs = res.data;
          that.rechargeTimeOrder(chargemoneylogs);
          that.setData({
            chargemoneylogs
          });
        }
      });
    }
  },
  rechargeTimeOrder(chargemoneylogs) {
    if (chargemoneylogs && 0 != chargemoneylogs.length) {
      chargemoneylogs.sort(function(ma, mb) {
        return mb.rechargeTime.localeCompare(ma.rechargeTime);
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})